1. phonejunky's Avatar
    Just want to know if this phone supported 5.0 I always wanted one and I'm thinking about buying one for the heck of it because they're cheap now, but only if it can support 5.0

    Posted from my CrackBerry at wapforums.crackberry.com
    12-15-09 08:44 AM
  2. Statman's Avatar
    TMK, the closest you can come is a hybrid which has some 5.0 modules, but the base is still 4.5...
    12-15-09 10:20 AM
  3. Autodocgi's Avatar
    I'm using the 8830WE OS version 4.5.0.169 with the BBM 5.0.0.33 currently. I've been running bbm 5.0 for about 2 months with absolutely no issues what so ever. NO hybrids or betas at all. Your mileage may vary.
    12-17-09 10:04 AM
LINK TO POST COPIED TO CLIPBOARD